<h2>Internările pacientului {{patient?.name}}</h2>
<ng-container *ngIf="stays.length !== 0">
    <table>
        <thead>
            <tr>
                <th>Nume spital</th>
                <th>Data internării</th>
                <th>Data externării</th>
                <th>Detalii</th>
                <th *ngIf="!isUserPatient()">Actualizează</th>
                <th *ngIf="isUserAdmin()">Șterge</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor='let stay of stays'>
                <td>{{stay.room.hospital.name}}</td>
                <td>{{stay.startDate | date:'dd/MM/yyyy' }}</td>
                <td>{{stay.endDate | date:'dd/MM/yyyy' }}</td>
                <td>
                    <mat-icon (click)="goToStayPage(stay.id)">read_more</mat-icon>
                </td>
                <td *ngIf="!isUserPatient()">
                    <mat-icon *ngIf="canUserUpdateStay(stay.room.hospital.id)" (click)="goToUpdateStayPage(stay.id)">update</mat-icon>
                </td>
                <td *ngIf="isUserAdmin()">
                    <mat-icon (click)="deleteStay(stay.id)">delete</mat-icon>
                </td>
            </tr>
        </tbody>
    </table>
</ng-container>

<button *ngIf="!isUserAdmin() && !isUserPatient()" class="btn btn-primary" (click)="goToCreateStayPage()">Creare internare</button>
